# Common values 
SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_RPM "OFF")
SET(CPACK_BINARY_STGZ "OFF")
SET(CPACK_BINARY_TZ "OFF")
SET(CPACK_BINARY_ZIP "OFF")
SET(CPACK_COMPONENTS_ALL "")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")

# Package information
SET(CPACK_PACKAGE_NAME                "${PACKAGE_NAME}")
SET(CPACK_PACKAGE_VERSION             "${PACKAGE_VERSION}")
SET(CPACK_PACKAGE_RELOCATABLE         "true")
SET(CPACK_PACKAGE_VENDOR              "LIFIA")
SET(CPACK_PACKAGE_CONTACT             "${PACKAGE_MAINTAINER}")
SET(CPACK_PACKAGE_FILE_NAME           "${PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_PACKAGE_DESCRIPTION_FILE    "${CONFIG_PATH}/package/COPYING")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${PACKAGE_DESCRIPTION}")

# Prefix/files/etc
SET(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_CONFIG_INSTALL_PREFIX} )
SET(CPACK_IGNORE_FILES "/include/;/lib/")

# Version
STRING(REPLACE "." ";" VERSION_PARTS "${CPACK_PACKAGE_VERSION}") # Split the version in its components
LIST(GET VERSION_PARTS 0 CPACK_PACKAGE_VERSION_MAJOR)
LIST(GET VERSION_PARTS 1 CPACK_PACKAGE_VERSION_MINOR)
LIST(GET VERSION_PARTS 2 CPACK_PACKAGE_VERSION_PATCH)

# Resources
Set(CPACK_RESOURCE_FILE_LICENSE "${PACKAGE_LICENSE_FILE}")
SET(CPACK_RESOURCE_FILE_README  "${CMAKE_ROOT}/Templates/CPack.GenericDescription.txt")
SET(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_ROOT}/Templates/CPack.GenericWelcome.txt")
 
