ADD_HEADERS(
	src/resourcemanager.h
	src/time.h
	src/service/service.h
	src/service/extension/extension.h
	src/service/extension/time/timeextension.h
	src/service/extension/epg/epgextension.h
	src/service/extension/download/downloaderextension.h
	src/service/extension/download/downloadinfo.h
	src/service/extension/application/controller/spawner.h
	src/service/extension/application/controller/spawnerimp.h
	src/service/extension/application/controller/dummyspawner.h
	src/service/extension/application/controller/applicationcontroller.h
	src/service/extension/application/controller/spawner/taskitem.h
	src/service/extension/application/controller/spawner/spawner.h
	src/service/extension/application/controller/spawner/types.h
	src/service/extension/application/applicationfactory.h
	src/service/extension/application/applicationid.h
	src/service/extension/application/application.h
	src/service/extension/application/applicationextension.h
	src/service/extension/application/types.h
	src/service/extension/application/factories/profile/ginga-ncl/nclapplication.h
	src/service/extension/application/factories/profile/ginga-ncl/nclprofile.h
	src/service/extension/application/factories/profile/hbbtv/hbbtvprofile.h
	src/service/extension/application/factories/aitfactory.h
	src/service/extension/application/factories/profile.h
	src/service/servicemanager.h
	src/service/types.h
	src/service/serviceprovider.h
	src/demuxer/types.h
	src/demuxer/ts/types.h
	src/demuxer/ts/demuxer.h
	src/demuxer/ts/filter.h
	src/demuxer/descriptors.h
	src/demuxer/descriptors/generic.h
	src/demuxer/descriptors/parsers/funcs.h
	src/demuxer/descriptors/carouselidentifierdescriptor.h
	src/demuxer/descriptors/demuxer.h
	src/demuxer/ts.h
	src/demuxer/text.h
	src/demuxer/psi/psi.h
	src/demuxer/psi/psidemuxer.h
	src/demuxer/psi/tableinfo.h
	src/demuxer/psi/pat.h
	src/demuxer/psi/patdemuxer.h
	src/demuxer/psi/pmt.h
	src/demuxer/psi/pmtdemuxer.h
	src/demuxer/psi/eitdemuxer.h
	src/demuxer/psi/eit.h
	src/demuxer/psi/download/sdttdemuxer.h
	src/demuxer/psi/download/sdtt.h
	src/demuxer/psi/nit.h
	src/demuxer/psi/sdtdemuxer.h
	src/demuxer/psi/totdemuxer.h
	src/demuxer/psi/tot.h
	src/demuxer/psi/mjd.h
	src/demuxer/psi/sdt.h
	src/demuxer/psi/dsmcc/dsmcc.h
	src/demuxer/psi/dsmcc/event.h
	src/demuxer/psi/dsmcc/module.h
	src/demuxer/psi/dsmcc/dsmccfilter.h
	src/demuxer/psi/dsmcc/objectcarouselfilter.h
	src/demuxer/psi/dsmcc/downloadfilter.h
	src/demuxer/psi/dsmcc/module/moduledata.h
	src/demuxer/psi/dsmcc/module/filedata.h
	src/demuxer/psi/dsmcc/module/memorydata.h
	src/demuxer/psi/dsmcc/module/resourcepool.h
	src/demuxer/psi/dsmcc/parser.h
	src/demuxer/psi/dsmcc/dsi.h
	src/demuxer/psi/dsmcc/streameventdemuxer.h
	src/demuxer/psi/dsmcc/datacarouselhelper.h
	src/demuxer/psi/dsmcc/dii.h
	src/demuxer/psi/dsmcc/dsmccdemuxer.h
	src/demuxer/psi/dsmcc/biop/ior.h
	src/demuxer/psi/dsmcc/biop/object.h
	src/demuxer/psi/dsmcc/biop/directory.h
	src/demuxer/psi/dsmcc/biop/file.h
	src/demuxer/psi/dsmcc/biop/biop.h
	src/demuxer/psi/dsmcc/biop/objectlocation.h
	src/demuxer/psi/dsmcc/biop/streamevent.h
	src/demuxer/psi/application/aitdemuxer.h
	src/demuxer/psi/application/ait.h
	src/demuxer/psi/application/types.h
	src/demuxer/psi/nitdemuxer.h
	src/demuxer/pes/types.h
	src/demuxer/pes/pesdemuxer.h
	src/demuxer/pes/caption/caption.h
	src/demuxer/pes/caption/captiondemuxer.h
	src/demuxer/pes/caption/captiondata.h
	src/provider/ts/provider.h
	src/provider/ts/filter.h
	src/provider/ts/data/filefrontend.h
	src/provider/ts/data/frontend.h
	src/provider/ts/data/networkfrontend.h
	src/provider/filter.h
	src/provider/frontend.h
	src/provider/isdbtfrontend.h
	src/provider/provider.h
	src/stream/pipe.h
	src/stream/basicpipe.h
	src/stream/dummy/pipe.h
	#src/stream/fifo.h
	src/types.h
	src/language.h
)

ADD_SOURCES(
	src/language.cpp
	src/resourcemanager.cpp
	src/time.cpp
	src/service/extension/extension.cpp
	src/service/extension/time/timeextension.cpp
	src/service/extension/epg/epgextension.cpp
	src/service/extension/download/downloadinfo.cpp
	src/service/extension/download/downloaderextension.cpp
	src/service/extension/application/controller/spawnerimp.cpp
	src/service/extension/application/controller/dummyspawner.cpp
	src/service/extension/application/controller/applicationcontroller.cpp
	src/service/extension/application/controller/spawner/spawner.cpp
	src/service/extension/application/controller/spawner/taskitem.cpp
	src/service/extension/application/applicationid.cpp
	src/service/extension/application/applicationfactory.cpp
	src/service/extension/application/application.cpp
	src/service/extension/application/applicationextension.cpp
	src/service/extension/application/factories/aitfactory.cpp
	src/service/extension/application/factories/profile/ginga-ncl/nclprofile.cpp
	src/service/extension/application/factories/profile/ginga-ncl/nclapplication.cpp
	src/service/extension/application/factories/profile/hbbtv/hbbtvprofile.cpp
	src/service/extension/application/factories/profile.cpp
	src/service/servicemanager.cpp
	src/service/service.cpp
	src/service/serviceprovider.cpp
	src/demuxer/ts/demuxer.cpp
	src/demuxer/ts/filter.cpp
	src/demuxer/ts/psiwrapper.cpp
	src/demuxer/descriptors/demuxer.cpp
	src/demuxer/descriptors/parsers/009.cpp
	src/demuxer/descriptors/parsers/013.cpp
	src/demuxer/descriptors/parsers/014.cpp
	src/demuxer/descriptors/parsers/040.cpp
	src/demuxer/descriptors/parsers/041.cpp
	src/demuxer/descriptors/parsers/048.cpp
	src/demuxer/descriptors/parsers/04d.cpp
	src/demuxer/descriptors/parsers/04e.cpp
	src/demuxer/descriptors/parsers/050.cpp
	src/demuxer/descriptors/parsers/052.cpp
	src/demuxer/descriptors/parsers/054.cpp
	src/demuxer/descriptors/parsers/055.cpp
	src/demuxer/descriptors/parsers/058.cpp
	src/demuxer/descriptors/parsers/06f.cpp
	src/demuxer/descriptors/parsers/07c.cpp
	src/demuxer/descriptors/parsers/0c1.cpp
	src/demuxer/descriptors/parsers/0c4.cpp
	src/demuxer/descriptors/parsers/0c7.cpp
	src/demuxer/descriptors/parsers/0c8.cpp
	src/demuxer/descriptors/parsers/0cd.cpp
	src/demuxer/descriptors/parsers/0cf.cpp
	src/demuxer/descriptors/parsers/0d5.cpp
	src/demuxer/descriptors/parsers/0d6.cpp
	src/demuxer/descriptors/parsers/0d9.cpp
	src/demuxer/descriptors/parsers/0de.cpp
	src/demuxer/descriptors/parsers/0fa.cpp
	src/demuxer/descriptors/parsers/0fb.cpp
	src/demuxer/descriptors/parsers/0fd.cpp
	src/demuxer/descriptors/parsers/0fe.cpp
	src/demuxer/descriptors/carouselidentifierdescriptor.cpp
	src/demuxer/psi/tableinfo.cpp
	src/demuxer/psi/cache.cpp
	src/demuxer/psi/psidemuxer.cpp
	src/demuxer/psi/psifilter.cpp
	src/demuxer/psi/pat.cpp
	src/demuxer/psi/patdemuxer.cpp
	src/demuxer/psi/nit.cpp
	src/demuxer/psi/pmt.cpp
	src/demuxer/psi/download/sdttdemuxer.cpp
	src/demuxer/psi/download/sdtt.cpp
	src/demuxer/psi/sdt.cpp
	src/demuxer/psi/sdtdemuxer.cpp
	src/demuxer/psi/nitdemuxer.cpp
	src/demuxer/psi/pmtdemuxer.cpp
	src/demuxer/psi/eitdemuxer.cpp
	src/demuxer/psi/eit.cpp
	src/demuxer/psi/mjd.cpp
	src/demuxer/psi/tot.cpp
	src/demuxer/psi/totdemuxer.cpp
	src/demuxer/psi/dsmcc/dsmccfilter.cpp
	src/demuxer/psi/dsmcc/datacarouselhelper.cpp
	src/demuxer/psi/dsmcc/objectcarouselfilter.cpp
	src/demuxer/psi/dsmcc/downloadfilter.cpp
	src/demuxer/psi/dsmcc/streameventdemuxer.cpp
	src/demuxer/psi/dsmcc/dsmccdemuxer.cpp
	src/demuxer/psi/dsmcc/dii.cpp
	src/demuxer/psi/dsmcc/dsi.cpp
	src/demuxer/psi/dsmcc/dsmcc.cpp
	src/demuxer/psi/dsmcc/module.cpp
	src/demuxer/psi/dsmcc/event.cpp
	src/demuxer/psi/dsmcc/module/memorydata.cpp
	src/demuxer/psi/dsmcc/module/resourcepool.cpp
	src/demuxer/psi/dsmcc/module/filedata.cpp
	src/demuxer/psi/dsmcc/biop/directory.cpp
	src/demuxer/psi/dsmcc/biop/objectlocation.cpp
	src/demuxer/psi/dsmcc/biop/streamevent.cpp
	src/demuxer/psi/dsmcc/biop/file.cpp
	src/demuxer/psi/dsmcc/biop/biop.cpp
	src/demuxer/psi/dsmcc/biop/object.cpp
	src/demuxer/psi/dsmcc/biop/ior.cpp
	src/demuxer/psi/application/aitdemuxer.cpp
	src/demuxer/psi/application/ait.cpp
	src/demuxer/psi/application/types.cpp
	src/demuxer/pes/pesdemuxer.cpp
	src/demuxer/pes/caption/captiondemuxer.cpp
	src/demuxer/pes/caption/captiondata.cpp
	src/demuxer/descriptors.cpp
	src/provider/ts/data/frontend.cpp
	src/provider/ts/data/filefrontend.cpp
	src/provider/ts/data/urlfrontend.cpp
	src/provider/ts/data/networkfrontend.cpp
	src/provider/ts/filter.cpp
	src/provider/ts/provider.cpp
	src/provider/frontend.cpp
	src/provider/isdbtfrontend.cpp
	src/provider/timer.cpp
	src/provider/provider.cpp
	src/provider/filter.cpp
	src/stream/dummy/pipe.cpp
	src/stream/basicpipe.cpp
	#src/stream/fifo.cpp
)

