ADD_HEADERS(
	src/plugin/types.h
	src/plugin/dependency.h
	src/plugin/dependencyhandler.h
	src/plugin/pluginmanager.h
	src/plugin/plugin.h
	src/plugin/service.h
	src/plugin/genericservice.h
	src/display/display.h
	src/display/displayservice.h
	src/display/layer.h
	src/display/zapperlayer.h
	src/tuner/tuner.h
	src/tuner/tunerlistener.h
	src/tuner/scanextension.h
	src/tuner/servicefilter.h
	src/control/service.h
	src/mount/mountservice.h
	src/update/updateplugin.h
	src/update/updateservice.h
	src/update/updateinfo.h
	src/input/input.h
	src/input/inputservice.h
	src/channel/types.h
	src/channel/channel.h
	src/channel/channelmanager.h
	src/channel/tunerlistener.h
	src/channel/show.h
	src/audio/service.h
	src/audio/types.h
	src/audio/mixer.h
	src/channelplayer/channelservice.h
	src/channelplayer/channelplayer.h
	src/player/types.h
	src/player/player.h
	src/player/playerservice.h
	src/player/mediaplayer.h
	src/player/mpeg/types.h
	src/player/mpeg/serviceplayer.h
	src/player/mpeg/streaminfo.h
	src/player/mpeg/streamplayer.h
	src/player/mpeg/caption/captionplayer.h
	src/player/mpeg/caption/captionviewer.h
	src/serviceid.h
	src/parental.h
	src/zapper.h
)

ADD_SOURCES(
	src/plugin/dependency.cpp
	src/plugin/dependencyhandler.cpp
	src/plugin/pluginmanager.cpp
	src/plugin/plugin.cpp
	src/plugin/service.cpp
	src/plugin/genericservice.cpp
	src/display/display.cpp
	src/display/displayservice.cpp
	src/display/layer.cpp
	src/display/zapperlayer.cpp
	src/tuner/tuner.cpp
	src/tuner/scanextension.cpp
	src/tuner/servicefilter.cpp
	src/control/service.cpp
	src/mount/mountservice.cpp
	src/update/updateplugin.cpp
	src/update/updateservice.cpp
	src/update/updateinfo.cpp
	src/input/inputservice.cpp
	src/channel/channel.cpp
	src/channel/channelmanager.cpp
	src/channel/tunerlistener.cpp
	src/channel/show.cpp
	src/audio/types.cpp
	src/audio/service.cpp
	src/audio/mixer.cpp
	src/audio/playermixer.cpp
	src/channelplayer/channelservice.cpp
	src/channelplayer/channelplayer.cpp
	src/player/player.cpp
	src/player/playerservice.cpp
	src/player/mediaplayer.cpp
	src/player/impl/player.cpp
	src/player/impl/mediaplayer.cpp
	src/player/mpeg/serviceplayer.cpp
	src/player/mpeg/streaminfo.cpp
	src/player/mpeg/streamplayer.cpp
	src/player/mpeg/caption/caption.h
	src/player/mpeg/caption/captionplayer.cpp
	src/player/mpeg/caption/captionviewer.cpp
	src/serviceid.cpp
	src/parental.cpp
	src/zapper.cpp
)

